Code Fix: Unable to deploy a Package and Deployment package containing legacy K2 Workflows

  • 8 October 2021
  • 0 replies
  • 6 views

Issue Description



When you have upgraded from K2 Five (5.3), to K2 Five (5.4) Fix Pack 40, and you attempt to deploy a package which contains a legacy K2 Workflow that references a custom [DLLTitle].dll with Package and Deployment, an error occurs.



Error Message:



The following error occurs: "Deployment failed. No reason supplied by responsible deployment service. "



Resolution



The fix is available in:





 





  1. Ensure you have the correct K2 version and/or Cumulative update installed. See KB001893 to see what Fix Pack level you have installed.


  2. Download the latest Fix Pack using the links in the table above for the version you require.


  3. Install the Fix Pack to apply the fix.


  4. It is recommended close and open K2 Package and Deployment.



0 replies

Be the first to reply!

Reply